Subject: Re: bug#32258: 27.0.50; Crash on minimizing/maximizing Emacs frame from taskbar [RHEL 6.8 GTK2]

From: Kaushal Modi <[email-masked]>
Date: Tue, 24 Jul 2018 15:35:27 -0400

On Tue, Jul 24, 2018 at 3:13 PM Eli Zaretskii <[email-masked]> wrote:

>
> It probably means it's a Heisenbug: it's triggered by some specific
> memory layout, and that changes under the debugger.
>

Yeah, I hate those kinds of bugs.. I am good for stumbling across those
:P[1]

> Are you still able to trigger the abort when running not under GDB?
>

Sadly, no.

If that's gone as well, try rebuilding Emacs by touching src/config.h
> or somesuch, then try again.
>

Same. The crash is gone.

I'll still leave that emacsclient session running with gdb attached -  I
hope to catch this Heisenbug. Funny, I see like 6-7 crashes in the past
week. And the moment I report it, it gets scared and goes away.

[1]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29031#35
-- 

Kaushal Modi